package cn.palmte.work.utils.image;

public class VerifyImage {
    private String srcImage;
    private String cutImage;
    private Integer xPosition;
    private Integer yPosition;
    private Integer srcImageWidth;
    private Integer srcImageHeight;
 
    public VerifyImage(String srcImage, String cutImage, Integer xPosition, Integer yPosition, Integer srcImageWidth, Integer srcImageHeight) {
        this.srcImage = srcImage;
        this.cutImage = cutImage;
        this.xPosition = xPosition;
        this.yPosition = yPosition;
        this.srcImageWidth = srcImageWidth;
        this.srcImageHeight = srcImageHeight;
    }
 
 
    public void setCutImage(String cutImage) {
        this.cutImage = cutImage;
    }
 
    public void setXPosition(Integer xPosition) {
        this.xPosition = xPosition;
    }
 
    public void setYPosition(Integer yPosition) {
        this.yPosition = yPosition;
    }
 
    public void setSrcImage(String srcImage) {
        this.srcImage = srcImage;
    }
 
    public String getSrcImage() {
        return srcImage;
    }
 
    public Integer getSrcImageWidth() {
        return srcImageWidth;
    }
 
    public void setSrcImageWidth(Integer srcImageWidth) {
        this.srcImageWidth = srcImageWidth;
    }
 
    public Integer getSrcImageHeight() {
        return srcImageHeight;
    }
 
    public void setSrcImageHeight(Integer srcImageHeight) {
        this.srcImageHeight = srcImageHeight;
    }
 
    public String getCutImage() {
        return cutImage;
    }
 
    public Integer getXPosition() {
        return xPosition;
    }
 
    public Integer getYPosition() {
        return yPosition;
    }


    @Override
    public String toString() {
        return "VerifyImage{" +
                "xPosition=" + xPosition +
                ", yPosition=" + yPosition +
                ", srcImageWidth=" + srcImageWidth +
                ", srcImageHeight=" + srcImageHeight +
                '}';
    }
}